
// R2kDemoDlg.cpp : 实现文件
//

#include "stdafx.h"
#include "R2kDemo.h"
#include "R2kDemoDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CR2kDemoDlg 对话框




CR2kDemoDlg::CR2kDemoDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CR2kDemoDlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CR2kDemoDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CR2kDemoDlg, CDialog)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


// CR2kDemoDlg 消息处理程序

BOOL CR2kDemoDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// 设置此对话框的图标。当应用程序主窗口不是对话框时，框架将自动
	//  执行此操作
	SetIcon(m_hIcon, TRUE);			// 设置大图标
	SetIcon(m_hIcon, FALSE);		// 设置小图标

	// TODO: 在此添加额外的初始化代码
	m_sheet.AddPage(&m_mainPage);
	m_sheet.AddPage(&m_tagAccess);
	m_sheet.AddPage(&m_paraSet);

	m_sheet.Create(this, WS_CHILD|WS_VISIBLE, WS_EX_CONTROLPARENT);

	// 获取系统版本号
	OSVERSIONINFOEX osvi;
	BOOL bOsVersionInfoEx;  
	ZeroMemory(&osvi, sizeof(OSVERSIONINFOEX));      
	osvi.dwOSVersionInfoSize = sizeof(OSVERSIONINFOEX);     
	bOsVersionInfoEx = GetVersionEx((OSVERSIONINFO*) &osvi);            

	HDC hdc = ::GetDC(m_hWnd);
	float fontScale = 1.0;
	if (NULL != hdc)
	{
		fontScale = GetDeviceCaps(hdc, LOGPIXELSX) / 96.0;  // 计算字体比例
		::ReleaseDC(m_hWnd, hdc);
	}
	int cx = 0, cy = 0;
	if ( VER_PLATFORM_WIN32_NT == osvi.dwPlatformId &&
		osvi.dwMajorVersion == 6 &&
		osvi.dwMinorVersion == 2 ) // win8为6.2
	{  
		cx = 800 * fontScale;
		cy = 630 * fontScale;
	}
	else // win7 xp  // win7的系统版本为NT6.1
	{
		cx = 680 * fontScale;
		cy = 470  * fontScale;
	}
	MoveWindow(100, 100, cx, cy);
	return TRUE;  // 除非将焦点设置到控件，否则返回 TRUE
}

// 如果向对话框添加最小化按钮，则需要下面的代码
//  来绘制该图标。对于使用文档/视图模型的 MFC 应用程序，
//  这将由框架自动完成。

void CR2kDemoDlg::OnPaint()
{
	if (IsIconic())
	{
		CPaintDC dc(this); // 用于绘制的设备上下文

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// 使图标在工作区矩形中居中
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// 绘制图标
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

//当用户拖动最小化窗口时系统调用此函数取得光标
//显示。
HCURSOR CR2kDemoDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}

